package com.simuwang.base.pojo.valuation;

import java.text.SimpleDateFormat;
import java.util.Date;

public class AssetsValuationDetails {

	private int id;
	private int userId;
	private String title;
	private String ValuationDate;
	private Double nav;

	//可能没有
	private Double cumulativeNav;

	private String headInfo;
	private String tailInfo;
	private String originalfile;
	private String convertedFile;
	private String fileUrl;
	private int type;

	private Double totalMarketValue;
	private Double netAssetsValue;
	private Double increment;

	private Double assetShare;

	public void setNav(Double nav) {
		this.nav = nav;
	}

	public void setTotalMarketValue(Double totalMarketValue) {
		this.totalMarketValue = totalMarketValue;
	}

	public void setNetAssetsValue(Double netAssetsValue) {
		this.netAssetsValue = netAssetsValue;
	}

	public void setIncrement(Double increment) {
		this.increment = increment;
	}

	public Double getAssetShare() {
		return assetShare;
	}

	public void setAssetShare(Double assetShare) {
		this.assetShare = assetShare;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public int getUserId() {
		return userId;
	}

	public void setUserId(int userId) {
		this.userId = userId;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getValuationDate() {
		return ValuationDate;
	}

	public void setValuationDate(String valuationDate) {
		ValuationDate = valuationDate;
	}
	public void setValuationDate(Date valuationDate) {
	    ValuationDate = new SimpleDateFormat("yyyy-MM-dd").format(valuationDate);
	}

	public double getNav() {
		return nav;
	}

	public double getIncrement() {
		return increment;
	}

	public void setIncrement(double increment) {
		this.increment = increment;
	}

	public void setNav(double nav) {
		this.nav = nav;
	}

	public Double getCumulativeNav() {
		return cumulativeNav;
	}

	public void setCumulativeNav(Double cumulativeNav) {
		this.cumulativeNav = cumulativeNav;
	}

	public String getHeadInfo() {
		return headInfo;
	}

	public void setHeadInfo(String headInfo) {
		this.headInfo = headInfo;
	}

	public String getTailInfo() {
		return tailInfo;
	}

	public void setTailInfo(String tailInfo) {
		this.tailInfo = tailInfo;
	}

	public String getOriginalfile() {
		return originalfile;
	}

	public void setOriginalfile(String originalfile) {
		this.originalfile = originalfile;
	}

	public String getConvertedFile() {
		return convertedFile;
	}

	public void setConvertedFile(String convertedFile) {
		this.convertedFile = convertedFile;
	}

	public String getFileUrl() {
		return fileUrl;
	}

	public void setFileUrl(String fileUrl) {
		this.fileUrl = fileUrl;
	}

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}

	public Double getTotalMarketValue() {
		return totalMarketValue;
	}

	public void setTotalMarketValue(double totalMarketValue) {
		this.totalMarketValue = totalMarketValue;
	}

	public Double getNetAssetsValue() {
		return netAssetsValue;
	}

	public void setNetAssetsValue(double netAssetsValue) {
		this.netAssetsValue = netAssetsValue;
	}

	@Override
	public String toString() {
		return "AssetsValuationDetails{" +
				"id=" + id +
				", userId=" + userId +
				", title='" + title + '\'' +
				", ValuationDate='" + ValuationDate + '\'' +
				", nav=" + nav +
				", cumulativeNav=" + cumulativeNav +
				", headInfo='" + headInfo + '\'' +
				", tailInfo='" + tailInfo + '\'' +
				", originalfile='" + originalfile + '\'' +
				", convertedFile='" + convertedFile + '\'' +
				", fileUrl='" + fileUrl + '\'' +
				", type=" + type +
				", totalMarketValue=" + totalMarketValue +
				", netAssetsValue=" + netAssetsValue +
				'}';
	}
}
